import { NzModalSubject, NzMessageService } from 'ng-zorro-antd';
import { Component, OnInit } from '@angular/core';
import { ModalHelper } from '@delon/theme';
import { HttpClient } from '@angular/common/http';
import { environment } from '../../../../../environments/environment';
import { DateService } from '../../../../core/services/date.service';

@Component({
  selector: 'app-edit',
  templateUrl: './edit.component.html',
  styles: []
})
export class UserInstallerEditComponent implements OnInit {

  user: any;

  constructor(
    private modalHelper: ModalHelper,
    private subject: NzModalSubject,
    public dateSrv: DateService,
    public msgSrv: NzMessageService,
    public http: HttpClient) { }

  ngOnInit() {
    if (this.user.id > 0) {
      this.http.get(environment.SERVER_BASH_URL + '/user/operate_user/' + this.user.id).subscribe((res: any) => {
        this.user = res;
        this.user.createTime = this.dateSrv.date_format(this.user.createTime, 'YYYY-MM-DD');
        this.user.expireTime = this.dateSrv.date_format(this.user.expireTime, 'YYYY-MM-DD');
      });
    } else {
      this.user.createTime = this.dateSrv.today('YYYY-MM-DD');
      this.user.expireTime = this.dateSrv.today('YYYY-MM-DD');
    }
  }

  save() {
    console.log(this.user);
    if (this.user.name == null || this.user.name === '') {
      this.msgSrv.error('请输入姓名');
    } else if (this.user.mobile == null || this.user.mobile === '') {
      this.msgSrv.error('请输入账号');
    } else if (this.user.email == null || this.user.email === '') {
      this.msgSrv.error('请输入电子邮件');
    } else if (this.user.password == null || this.user.password === '') {
      this.msgSrv.error('请输入密码');
    } else {
      this.http.post(environment.SERVER_BASH_URL + '/user/operate_user/save', this.user).subscribe(() => {
        this.subject.next('true');
        this.close();
      });
    }
  }

  close() {
    this.subject.destroy();
  }

}
